Bug 1406025 - [GANESHA] Deleting a node from ganesha cluster deletes the volume entry from /etc/ganesha/ganesha.conf file
Summary: [GANESHA] Deleting a node from ganesha cluster deletes the volume entry from ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1406249 1408111
TreeView+ depends on / blocked
 
Reported: 2016-12-19 14:19 UTC by Manisha Saini
Modified: 2017-03-23 05:58 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1406249 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:58:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Manisha Saini 2016-12-19 14:19:19 UTC
Description of problem:

When the node is deleted from existing ganesha cluster,volume entry of the exported volume gets deleted from /etc/ganesha/ganesha.conf file.
As a result the existing node reflects the stale entry of the volume in showmount -e localhost

Version-Release number of selected component (if applicable):
# rpm -qa | grep ganesha
nfs-ganesha-2.4.1-3.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-3.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-9.el7rhgs.x86_64


How reproducible:
Consistently

Steps to Reproduce:
1.Create 6 node ganesha cluster on 8 node gluster.Enable ganesha on it
2.Delete 1 node from existing ganesha cluster 
/usr/libexec/ganesha/ganesha-ha.sh --delete /var/run/gluster/shared_storage/nfs-ganesha/ dhcp46-232.lab.eng.blr.redhat.com
3.Check /etc/ganesha/ganesha.conf file.


Actual results:
Check /etc/ganesha/ganesha.conf file.Volume which was previously exported gets deleted from this file.

showmount -e localhost reflects stale entry of previously exported volume
In this case if the node is deleted and again added,previously exported volume (before node delete) is not exported on the node which is added.

Expected results:
It should not modify the /etc/ganesha/ganesha.conf file.
Volume should be exported on the newly added node

Additional info:

Comment 4 Atin Mukherjee 2016-12-20 05:37:59 UTC
upstream mainline patch http://review.gluster.org/#/c/16209/ posted for review.

Comment 7 Atin Mukherjee 2016-12-22 07:36:30 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/93568/

Comment 9 Manisha Saini 2016-12-23 08:36:04 UTC
Verified this Bug on 

# rpm -qa | grep ganesha
glusterfs-ganesha-3.8.4-10.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-3.el7rhgs.x86_64
nfs-ganesha-2.4.1-3.el7rhgs.x86_64

As the issue is no more observed,Hence marking this Bug as verified.

Comment 11 errata-xmlrpc 2017-03-23 05:58:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.